---

- name: reset master-live-server on mls.cm.local
  hosts: mls.cm.local
  gather_facts: true
  become: true
  remote_user: ansible

  vars:
    _content_server_reset: false
    container_filter:
      by: "image"
      names:
        - "{{ container_registry.host }}/coremedia/content-server:{{ container_tags.content_server }}"
    content_server_reset:
      content_server: "master-live-server"
      content_server_ior: "{{ coremedia_ior['mls'] }}"
      sql_store:
        driver: "{{ coremedia_sql_driver['mls'] }}"
        url: "{{ coremedia_dba['mls'] }}"
        username: "{{ coremedia_dba_user['mls'] }}"
        password: "{{ coremedia_dba_user['mls'] }}"

  pre_tasks:
    - name: define server reset
      ansible.builtin.set_fact:
        _content_server_reset: "{{ container | bodsch.coremedia.container_filter_by_name(content_server_reset.content_server | default('')) }}"
      tags:
        - coremedia_reset_content_server

  roles:
    - role: bodsch.coremedia.content_server_reset
      tags:
        - coremedia_reset_content_server
      when:
        - _content_server_reset
